const app = require('../../utils/util.js');
const tool = require('../../utils/tool.js');
Page({
  /**
   * 页面的初始数据
   */
  data: {
    // status:true
  },
  goMyinfo() {
    if (!this.data.status) {
      wx.navigateTo({
        url: '/pages/personInfo/personInfo',
      })
    } else {
      wx.showModal({
        title: '您当前有正在参加的活动，暂时不可修改个人信息哦',
        showCancel: false
      })
    }
  },
  goMyinfoDetail() {
    if (!this.data.status) {
      wx.navigateTo({
        url: '/pages/personInfoDetail/personInfoDetail',
      })
    } else {
      wx.showModal({
        title: '您当前有正在参加的活动，暂时不可修改个人信息哦',
        showCancel: false
      })
    }
  },
  goMyTargetInfo() {
    if (!this.data.status) {
      wx.navigateTo({
        url: '/pages/targetInfo/targetInfo',
      })
    } else {
      wx.showModal({
        title: '您当前有正在参加的活动，暂时不可修改目标信息哦',
        showCancel: false
      })
    }
  },
  getActivies() {
    wx.request({
      url: app.globalData.publicUrl + '/wx/member/' + this.data.openid + '/myActive',
      method: "get",
      success: (res) => {
        console.log(res)
        if (res.data.code == 0) {
          this.setData({
            arr: res.data.actives
          })
          for (let i = 0; i < res.data.actives.length; i++) {
            if (res.data.actives[i].activeStatus == 1) {
              this.setData({
                status: false
              })
            }
          }
        }
      }
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    tool.openidStatus().then(result => {
      this.setData({
        openid: result[0],
        sessionkey: result[1]
      })
      this.getActivies();
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})